var express = require('express')
const fs = require('fs')

app = express()
// app.use()

// privateKey = fs.readFileSync('/home/rifat/Programming/R&D/socket.test-key.pem', 'utf8')
// certificate = fs.readFileSync('/home/rifat/Programming/R&D/socket.test.pem', 'utf8')

privateKey = fs.readFileSync('/etc/letsencrypt/live/chat.woostudy.com/privkey.pem', 'utf8')
certificate = fs.readFileSync('/etc/letsencrypt/live/chat.woostudy.com/cert.pem', 'utf8')

credentials = {key: privateKey, cert: certificate}

XMLHttpRequest = require("xmlhttprequest").XMLHttpRequest
xhr = new XMLHttpRequest()

local = process.env.NODE_ENV !== 'production';

https = require('https')

// server = https.createServer(app)
server = https.createServer(credentials, app)

const io = require("socket.io")(server, {
   origins: ["http://woostudy.com",'https://platform.woostudy.com', "https://woostudy.com", "https://v13.woostudy.com", "https://localhost:8000", "http://localhost:8000", "https://127.0.0.1:8000", "http://127.0.0.1:8000"],
 

  handlePreflightRequest: (req, res) => {
    res.writeHead(200, {
      "Access-Control-Allow-Origin": "*",
      "Access-Control-Allow-Methods": "GET,POST",
      "Access-Control-Allow-Credentials": false
    });
    res.end();
  }
});

port = 3301
bodyParser = require("body-parser")
ipAddress = '0.0.0.0';

var chalk = require('chalk');
server.listen(port, ipAddress, function () {
  console.log('Cron started on port : ' + port);
});


app.get('/', function (req, res) {
  res.sendFile(__dirname + '/package.json');
});


io.on('connection', function (socket) {
  // socket.on('new-msg', function(data) {
  //     io.emit(data.rec.id, data);
  // });

  socket.on('broadcast', function (payload) {
console.log(payload);
    payload.users.forEach(function (item) {
      io.emit('update-message' + item, payload.messages);
    })
  });


  socket.on('friendRequest', function (payload) {
console.log(payload);
    io.emit('friendRequest-' + payload.to, payload);
  });
});



